Create Asset Folder

Create an Asset Folder within a given site

Required scope | assets:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Request

This endpoint expects an object.
displayNamestringRequired
A human readable name for the Asset Folder
parentFolderstringOptional

An (optional) pointer to a parent Asset Folder (or null for root)

Response

Request was successful
idstringformat: "objectid"
Unique identifier for the Asset Folder
displayNamestring
User visible name for the Asset Folder
parentFolderstring

Pointer to parent Asset Folder (or null if root)

assetslist of strings
Array of Asset instances in the folder
siteIdstringformat: "objectid"
The unique ID of the site the Asset Folder belongs to
createdOnstringformat: "date-time"
Date that the Asset Folder was created on
lastUpdatedstringformat: "date-time"
Date that the Asset Folder was last updated on

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error